test/tools/javap/stackmap/T6271292.sh

Tue, 25 May 2010 15:54:51 -0700

author
ohair
date
Tue, 25 May 2010 15:54:51 -0700
changeset 554
9d9f26857129
parent 404
14735c7932d7
permissions
-rw-r--r--

6943119: Rebrand source copyright notices
Reviewed-by: darcy

duke@1 1 #!/bin/sh
duke@1 2
duke@1 3 #
ohair@554 4 # Copyright (c) 2005, 2009, Oracle and/or its affiliates. All rights reserved.
duke@1 5 # DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
duke@1 6 #
duke@1 7 # This code is free software; you can redistribute it and/or modify it
duke@1 8 # under the terms of the GNU General Public License version 2 only, as
duke@1 9 # published by the Free Software Foundation.
duke@1 10 #
duke@1 11 # This code is distributed in the hope that it will be useful, but WITHOUT
duke@1 12 # ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
duke@1 13 # FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
duke@1 14 # version 2 for more details (a copy is included in the LICENSE file that
duke@1 15 # accompanied this code).
duke@1 16 #
duke@1 17 # You should have received a copy of the GNU General Public License version
duke@1 18 # 2 along with this work; if not, write to the Free Software Foundation,
duke@1 19 # Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
duke@1 20 #
ohair@554 21 # Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
ohair@554 22 # or visit www.oracle.com if you need additional information or have any
ohair@554 23 # questions.
duke@1 24 #
duke@1 25
duke@1 26 # @test
duke@1 27 # @bug 6271292
duke@1 28 # @compile T6271292.java
duke@1 29 # @run shell T6271292.sh
duke@1 30 # @summary Verify that javap prints StackMapTable attribute contents
duke@1 31 # @author Wei Tao
duke@1 32
duke@1 33 if [ "${TESTSRC}" = "" ]
duke@1 34 then
duke@1 35 echo "TESTSRC not set. Test cannot execute. Failed."
duke@1 36 exit 1
duke@1 37 fi
duke@1 38 printf 'TESTSRC="%s"' "${TESTSRC}" >&2 ; echo >&2
duke@1 39 if [ "${TESTJAVA}" = "" ]
duke@1 40 then
duke@1 41 echo "TESTJAVA not set. Test cannot execute. Failed."
duke@1 42 exit 1
duke@1 43 fi
duke@1 44 printf 'TESTJAVA="%s"' "${TESTJAVA}" >&2 ; echo >&2
duke@1 45 if [ "${TESTCLASSES}" = "" ]
duke@1 46 then
duke@1 47 echo "TESTCLASSES not set. Test cannot execute. Failed."
duke@1 48 exit 1
duke@1 49 fi
duke@1 50 printf 'TESTCLASSES="%s"' "${TESTCLASSES}" >&2 ; echo >&2
duke@1 51 printf 'CLASSPATH="%s"' "${CLASSPATH}" >&2 ; echo >&2
duke@1 52
duke@1 53 # set platform-dependent variables
duke@1 54 OS=`uname -s`
duke@1 55 case "$OS" in
jjg@386 56 Windows* )
duke@1 57 FS="\\"
duke@1 58 ;;
duke@1 59 * )
duke@1 60 FS="/"
duke@1 61 ;;
duke@1 62 esac
duke@1 63
duke@1 64 JAVAPFILE=T6271292.javap
duke@1 65 OUTFILE=outfile
duke@1 66
duke@1 67 "${TESTJAVA}${FS}bin${FS}javap" ${TESTTOOLVMOPTS} -classpath "${TESTCLASSES}" -verbose T6271292 > "${JAVAPFILE}"
duke@1 68 result="$?"
duke@1 69 if [ "$result" -ne 0 ]
duke@1 70 then
duke@1 71 exit "$result"
duke@1 72 fi
duke@1 73
duke@1 74 grep "frame_type" "${JAVAPFILE}" > "${OUTFILE}"
duke@1 75 grep "offset_delta" "${JAVAPFILE}" >> "${OUTFILE}"
duke@1 76 grep "stack = " "${JAVAPFILE}" >> "${OUTFILE}"
duke@1 77 grep "locals = " "${JAVAPFILE}" >> "${OUTFILE}"
jjg@349 78 diff -w "${OUTFILE}" "${TESTSRC}${FS}T6271292.out"
duke@1 79 result="$?"
duke@1 80 if [ "$result" -eq 0 ]
duke@1 81 then
duke@1 82 echo "Passed"
duke@1 83 else
duke@1 84 echo "Failed"
duke@1 85 fi
duke@1 86 exit "$result"
duke@1 87
duke@1 88

mercurial